FormShortcutsListener

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.form.client
Class FormShortcutsListener

    java.lang.Object
      java.awt.event.KeyAdapter
          org.openswing.swing.form.client.FormShortcutsListener

All Implemented Interfaces:
  java.util.EventListener, java.awt.event.KeyListener

public class FormShortcutsListener
extends java.awt.event.KeyAdapter

Title: OpenSwing Framework

Description: Class used by Form panel to listen for focus events.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`FormShortcutsListener(Form form)`

Method Summary
`Form` | `getForm()`
`void` | `keyPressed(java.awt.event.KeyEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormShortcutsListener

    public FormShortcutsListener(Form form)

Method Detail

### getForm

    public final Form getForm()

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD